Bug 1296666 - Expose rhn.system.uuid to Macros
Expose rhn.system.uuid to Macros
Status: NEW
Product: Red Hat Satellite 5
Classification: Red Hat
Component: New Feature (Show other bugs)
unspecified
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Warner
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 14:25 EST by Justin J. Novack
Modified: 2016-01-12 04:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin J. Novack 2016-01-07 14:25:10 EST
Description of problem: 

  The rhn.system macro object does not contain uuid, a critical unique characteristic that is not the hostname.  I would rather not expose the hostname or profile name of the server, I would rather expose a slightly cryptic, yet always-unique uuid.


How reproducible: Always


Steps to Reproduce:
1. Add {|rhn.system.uuid|} to any configuration file.
2. Deploy file
3. Witness failure.


Actual results:
  See {| rhn.system.uuid |} within text file.

Expected results:
  See the actual uuid of the server within the text file.


Additional info:
Comment 1 Justin J. Novack 2016-01-07 14:26:50 EST
I understand a workaround is to add the UUID to a custom variable.  That is how I'm currently working around this issue, however it is cumbersome to populate and requires me to perform an action every new server.
Comment 2 Tomas Lestach 2016-01-08 03:24:49 EST
Justin, please open a ticket with Red Hat Support, to correctly track your request.

Note You need to log in before you can comment on or make changes to this bug.